## autopkgtest 5.8

=== debian/changelog ===
autopkgtest (5.8) unstable; urgency=medium

  [ Simon McVittie ]
  * qemu: Use socket.sendall() to push text into AF_UNIX sockets

  [ Niko Tyni ]
  * Ensure that autocleaned TempPath file names are unique (Closes:
    #916499)

  [ Thadeu Lima de Souza Cascardo ]
  * qemu: close sockets after being done with them (Closes: #916428)

  [ Iain Lane ]
  * runner: Fix sed command for escaping special characters in package
    names

  [ Julian Andres Klode ]
  * Minor fixes for the lxd test.
    Thanks to Stéphane Graber <stgraber@ubuntu.com>

 -- Paul Gevers <elbrus@debian.org>  Thu, 10 Jan 2019 18:33:45 +0100
