## autopkgtest 5.10~bpo9+1

=== debian/changelog ===
autopkgtest (5.10~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sebastien Delafond <seb@debian.org>  Mon, 18 Mar 2019 13:11:54 +0100

autopkgtest (5.10) unstable; urgency=medium

  * autopkgtest-build-qemu: use UUID in fstab (Closes: #922671)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 25 Feb 2019 11:05:15 -0300

autopkgtest (5.9) unstable; urgency=medium

  [ Iain Lane ]
  * Add spaces around "[ trusted=yes ]"

  [ Antonio Terceiro ]
  * autopkgtest-build-qemu: document ARCHITECTURE parameter
  * autopkgtest-build-qemu: call user script directly
  * autopkgtest-build-qemu: create fstab (Closes: #916407)
  * autopkgtest-build-qemu: fix setup of APT proxy
  * autopkgtest-build-qemu: update to work with newer vmdb2
    (Closes: #922501)

  [ Christian Kastner ]
  * autopkgtest-build-lxc: lxc/default.conf: lxc.network.type is now
    lxc.net.0.type (Closes: #922171)


 -- Antonio Terceiro <terceiro@debian.org>  Mon, 18 Feb 2019 22:48:48 -0300
