## autopkgtest 5.10ubuntu1

=== debian/changelog ===
autopkgtest (5.10ubuntu1) disco; urgency=medium

  * tools/autopkgtest-buildvm-ubuntu-cloud:
    autopkgtest-buildvm-ubuntu-cloud: work with precise and trusty.
    they aren't dead yet! (LP: #1822331)

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 29 Mar 2019 10:19:18 -0400
