## autopkgtest 5.10ubuntu2

=== debian/changelog ===
autopkgtest (5.10ubuntu2) eoan; urgency=medium

  * tools/autopkgtest-build-lxd: pass /dev/null on stdin to lxc launch
    (LP: #1845037)

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 26 Sep 2019 08:48:21 -0400
