## autopkgtest 5.10+nmu1

=== debian/changelog ===
autopkgtest (5.10+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:25:48 +0800
