## autopkgtest 5.11

=== debian/changelog ===
autopkgtest (5.11) unstable; urgency=medium

  [ Dan Streetman ]
  * autopkgtest-buildvm-ubuntu-cloud: work with precise and trusty
    (LP: #1822331) (Closes: #925966)

  [ Sébastien Delafond ]
  * Add an optional 6th parameter to autopkgtest-build-qemu, to force a
    specific image size

  [ Julian Andres Klode ]
  * ssh-setup/nova: Run nova show after console-log in debug_failure

  [ Iain Lane ]
  * setup-testbed: Add the -security pocket for Ubuntu releases
  * nova: Use glanceclient to find images
  * nova: --key_name is actually --key-name
  * setup-testbed: Write preserve_sources_list in the new format
  * nova: trim whitespace from server UUID

  [ Simon McVittie ]
  * autopkgtest-build-qemu: Parse named parameters
  * autopkgtest-build-qemu: Allow overriding apt proxy via command-line

  [ Simon McVittie ]
  * testdesc: Report each unsupported test individually (Closes: #851232)
  * setup-testbed: Provide more options for handling /etc/apt/sources.list
    (Closes: #933062)

  [ Dan Streetman ]
  * ssh-setup/nova: allow specifying --image with name or uuid

  [ Valentin Vidic ]
  * autopkgtest-virt-lxc: accept lxc arguments for ephemeral containers

  [ Michael Biebl ]
  * Use virtio-rng to passthrough RNG to qemu runner and drop haveged

  [ Raphaël Hertzog ]
  * qemu: Forward VM's ssh port only to localhost (Closes: #931219)

 -- Paul Gevers <elbrus@debian.org>  Thu, 05 Sep 2019 09:32:10 +0200
