=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: autopkgtest
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>, Antonio Terceiro <terceiro@debian.org>, Paul Gevers <elbrus@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.1
+Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 9),
  python3 (>= 3.1),
  python3-mock,
