=== debian/changelog ===
autopkgtest (5.11ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - tools/autopkgtest-build-lxd: pass /dev/null on stdin to lxc launch 
      (LP: #1845037)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 28 Jan 2020 12:45:09 +0100
