## autopkgtest 5.11ubuntu1.1

=== debian/changelog ===
autopkgtest (5.11ubuntu1.1) focal; urgency=medium

  * setup-testbed: Set Always-Include-Phased-Updates for apt (LP: #1934100)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 30 Jun 2021 10:37:39 +0200
