## autopkgtest 5.13.1

=== debian/changelog ===
autopkgtest (5.13.1) unstable; urgency=medium

  * autopkgtest-build-qemu: revert commit that broke image creation
    (Closes: #956659)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 17 Apr 2020 22:02:07 -0300

autopkgtest (5.13) unstable; urgency=medium

  [ Gordon Ball ]
  * Use pyflakes3 instead of pyflakes (Closes: #956338)

  [ Paul Gevers ]
  * Add support for needs-internet restriction
  * Add note about ftp-master ruling (Closes: #954157)
  * README.package-tests.rst: add documentation about needs-internet
    restriction
  * Update 5.12 changelog entry with bug number for qemu on ppc64el item

 -- Paul Gevers <elbrus@debian.org>  Thu, 16 Apr 2020 21:07:58 +0200

autopkgtest (5.12.1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * adt_testbed: ignore debian/control when checking for dependencies. This
    fixes a regression observed in the debci test suite.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 04 Apr 2020 12:20:17 -0300

autopkgtest (5.12) unstable; urgency=medium

  [ Dan Streetman ]
  * tools/autopkgtest-build-lxd: pass /dev/null on stdin to lxc launch
    (LP: #1845037)
  * autopkgtest: When finding src pkg, skip binary pkgs for other archs
    (LP: #1845157) (Closes: #939790)
  * autopkgtest: when checking binary pkg arch, allow *-$ARCH-* values also

  [ Antonio Terceiro ]
  * Drop unpacking of dependencies to temporary dir

  [ Iain Lane ]
  * setup-testbed: Install rng-tools
  * lib/adt_testbed.py, runner/autopkgtest: Run --shell-fail in more situations
  * adt_testbed: Run the debug-fail command in more circumstances

  [ Sébastien Delafond ]
  * Add kali support

  [ Simon McVittie ]
  * lxd: Actually exit the awk loop after the first apt source
  * build-lxd: Quote MIRROR and RELEASE properly
  * d/README.source: Document how to test various backends

  [ Paul Gevers ]
  * adt_testbed.py: add date to the start of log so we always have it
    (Closes: #954366)
  * Do not ignore distributions that have dashes in their name
  * lxc/lxd: wait for sysvinit services to finish
    Thanks to Lars Kruse (Closes: #953655)
  * lxc: increase timeout around reboot
  * tests/lxd: add skip-not-installable (Closes: #952594)

  [ Jelmer Vernooĳ ]
  * Document that $HOME will exist and will be writeable.

  [ Thierry Fauck ]
  * autopkgtest-build-qemu: create primary partition of type Prep to
    support ppc64el with grub2 (Closes: #926945)
  * Add proper kernel release name for ppc64el

 -- Paul Gevers <elbrus@debian.org>  Thu, 02 Apr 2020 10:36:09 +0200
