## autopkgtest 5.15

=== debian/changelog ===
autopkgtest (5.15) unstable; urgency=medium

  [ Sebastien Delafond ]
  * Remove left over .new containers before trying to generate a new one
    (Closes: #971749)

  [ Antonio Terceiro ]
  * virt-lxc: extract common initial argument list for lxc-copy
  * virt-lxc: add option to limit disk usage by tests

  [ Paul Gevers ]
  * tests/lxd: mark test skippable and exit 77 in stead of 0 in case of
    balling-out
  * Add support for Architecture field (Closes: #970513)
  * Check for empty Tests field (Closes: #918882)
  * With --test-name, don't report when other tests are skipped
    (Closes: #960267)

  [ Simon McVittie ]
  * Check restrictions with testbed compat, not during initialization
  * Allow restrictions to be ignored from the command line

  [ Ivo De Decker ]
  * Assume root-on-testbed with autopkgtest-virt-ssh and improve debugging
    (Closes: #958727)

 -- Paul Gevers <elbrus@debian.org>  Mon, 26 Oct 2020 21:27:25 +0100

autopkgtest (5.14) unstable; urgency=medium

  [ Christian Kastner ]
  * autopkgtest-build-qemu: Support for vmdb2->qemu-debootstrap
    (Closes: #959389)

  [ Antonio Terceiro ]
  * autopkgtest-build-qemu: make sure VM can resolve its own hostname
    (Closes: #959713)
  * autopkgtest: add --validate option

  [ Iain Lane ]
  * autopkgtest-virt-ssh: Give the wait_port_down socket a timeout

  [ Simon McVittie ]
  * Avoid using 'l' as a variable name
  * qemu: Guess format of main disk image (Closes: #968598)
  * tools: Don't make qemu guess what format the disk image is

  [ Paul Gevers ]
  * Bump standards
  * Bump debhelper compat to 13 via debhelper-compat BD
  * Add Rules-Requires-Root: no
  * Drop postinst script as all supported releases have higher versions

 -- Paul Gevers <elbrus@debian.org>  Tue, 01 Sep 2020 21:28:29 +0200
