=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
            Paul Gevers <elbrus@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 9),
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
                procps,
                pycodestyle | pep8,
                pyflakes3,
@@ -15,6 +15,7 @@
                python3-debian,
                python3-docutils,
                python3-mock
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ci-team/autopkgtest.git
 Vcs-Browser: https://salsa.debian.org/ci-team/autopkgtest
