=== debian/changelog ===
autopkgtest (5.16) unstable; urgency=medium

  [ Paul Gevers ]
  * Fix reported arch in Unsupported message

  [ Simon McVittie ]
  * tests/ssh-setup-lxd: Fix a typo
  * shell scripts: Quote more defensively
  * tests/pycodestyle: Prefer command -v instead of which
  * shell scripts: Prefer $() instead of backticks
  * setup-testbed: Avoid test -a
  * setup-testbed: Silence some shellcheck false-positives
  * setup-testbed: Be more careful with printf
  * setup-testbed: Ensure that $proxy is always initialized
  * setup-testbed: Prefer POSIX grep -E over GNU-specific egrep
  * setup-testbed: Quote trap command differently
  * tests: Add shellcheck test
  * tests: Silence some mypy warnings
  * tests: Add test that runs mypy across the codebase
  * d/copyright: Update
  * Use shlex.quote in preference to undocumented pipes.quote

  [ Ryutaroh Matsumoto ]
  * autopkgtest-build-qemu: Install a PAE kernel on i386 (Closes: #973662)
  * autopkgtest-build-qemu: Install LPAE kernel on armhf (Closes: #973592)

  [ Simon McVittie ]
  * lib: Factor out qemu virtual machine setup
  * autopkgtest_qemu: Add QemuImage objects
  * buildvm-ubuntu-cloud: Use Qemu object
  * autopkgtest-build-qemu: Rewrite in Python
  * autopkgtest-buildvm-ubuntu-cloud: Make return of None explicit
  * autopkgtest-buildvm-ubuntu-cloud: Fail if release cannot be determined
  * autopkgtest-buildvm-ubuntu-cloud: Replace which(1) with shutil.which
  * autopkgtest_qemu: Set workdir before preparing overlay

  [ Ryutaroh Matsumoto ]
  * qemu: Forward stdout, stderr to stderr of parent process
  * qemu: Extend timeout for checking python availability
  * qemu: Enable discard operation on virtio disk devices

  [ Simon McVittie ]
  * qemu: Allow passing `uname -m` output to get_default_qemu_command
  * tests: Add a unit test for qemu library code
  * qemu: Select qemu-system-arm for ARM CPUs

  [ Graham Inggs ]
  * autpkgtest_args: autoremove after dist-upgrade

  [ Balint Reczey ]
  * Handle exception thrown by create_testinfo() (Closes: #927146)
    (LP: #1907803)

  [ Sébastien Delafond ]
  * virt-lxc: attempt to cleanly shutdown the container first, and only
    then pass --force to lxc-destroy (Closes: #979238)

 -- Paul Gevers <elbrus@debian.org>  Sun, 24 Jan 2021 21:15:20 +0100
