=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                procps,
                pycodestyle | pep8,
                pyflakes3,
-               python3 (>= 3.1),
+               python3 (>= 3.3),
                python3-debian,
                python3-docutils,
                python3-mock
