## autopkgtest 5.16ubuntu0.1

=== debian/changelog ===
autopkgtest (5.16ubuntu0.1) hirsute; urgency=medium

  * setup-testbed: Set Always-Include-Phased-Updates for apt (LP: #1934100)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 30 Jun 2021 10:35:01 +0200
