## autopkgtest 5.16ubuntu1

=== debian/changelog ===
autopkgtest (5.16ubuntu1) impish; urgency=medium

  * setup-testbed: Set Always-Include-Phased-Updates for apt (LP: #1934100)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 30 Jun 2021 10:32:27 +0200
