## autopkgtest 5.16ubuntu2

=== debian/changelog ===
autopkgtest (5.16ubuntu2) impish; urgency=medium

  * Force xz compression for satdep.deb to support testing on Debian
    environments (LP: #1947810)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 15 Dec 2021 12:58:11 -0300
