## autopkgtest 5.18

=== debian/changelog ===
autopkgtest (5.18) unstable; urgency=medium

  [ Romain Porte ]
  * Fix qemu deprecation warnings for short-form booleans (Closes: #996705)

  [ Brian Murray ]
  * Add support for building VMs of End of Life ubuntu releases.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 13 Nov 2021 11:44:27 -0300

autopkgtest (5.17) unstable; urgency=medium

  [ Ryutaroh Matsumoto ]
  * Use 32-bit OVMF EFI firmware for qemu-system-i386 (Closes: #973522)
  * qemu: Explicitly assign unit numbers for pflash devices

  [ Iain Lane ]
  * lxd: Fix a race condition while rebooting
  * buildvm-ubuntu-cloud: Update for compatibility with other changes
    mentioned below
  * ssh-setup/nova: Quote arguments to `tr`

  [ Simon McVittie ]
  * VirtSubproc: Allow expecting multiple options
  * virt-qemu: Cope with passwordless shell (blank password)
  * virt-qemu: Don't rely on exiting from a shell printing "logout"
  * virt-qemu: Preseed debconf questions so we can upgrade grub-pc, if
    installed (Closes: #982296)
  * virt-qemu: Add --qemu-architecture, --dpkg-architecture options
  * virt-qemu: Load virtio_console in initramfs to make sure it's ready
    when systemd-getty-generator(8) looks for it (workaround for #689962)
  * virt-qemu: Improve reliability of interactions with serial console shell
  * build-qemu: Automatically run under fakemachine if not uid 0
  * build-qemu: Convert image into an absolute path.
    This helps when we're sharing directories as "volumes" with fakemachine.
    The working directory inside fakemachine isn't necessarily the same as
    the working directory outside, leading to the output image being
    written somewhere unintended.
  * build-qemu: Show the log from vmdb2 if it fails
  * build-qemu: Placate pycodestyle
  * build-qemu: Never set http_proxy to DIRECT.
    The special keyword DIRECT is understood by apt, but not by generic
    http clients, and in particular not understood by wget (used by
    debootstrap).
  * Use `command -v` in preference to `which`.
    In Debian, which(1) is provided by the Essential debianutils package,
    which recently deprecated it. Silence the resulting warnings by doing
    this in a slightly less obvious way.

  [ Simon McVittie, Ryutaroh Matsumoto ]
  * setup-testbed: Try to put Linux console on both ttyS0 and hvc0.
    ttyS0 is PC-specific, hvc0 is a generic hypervisor console available
    on multiple hypervisors.
  * setup-testbed: Put root shells on both ttyS1 and hvc1 if they exist.
    ttyS1 is PC-specific, hvc1 is a generic hypervisor console available
    on multiple hypervisors.
  * virt-qemu: Only -enable-kvm if VM is compatible with host architecture
  * virt-qemu: Add --boot=efi (formerly --efi)
  * build-qemu: Add --boot=efi to build images bootable with EFI.
    This requires vmdb2 0.22-1~ or newer.
  * qemu: armhf and aarch64 support (Closes: #973038, #973663)
    - Boot with EFI by default
    - Build images with EFI by default (Closes: #990415)
    - Use ttyAMA0 as the ARM equivalent of ttyS0
    - Default to -machine virt, since there is no default in qemu
    - Default to qemu-system-aarch64 -cpu host,aarch64=off -enable-kvm
      for armhf on aarch64 host, because qemu-system-arm -enable-kvm is
      not available on aarch64 hosts
    - Default to -cpu host -enable-kvm for aarch64 on aarch64 host
    - Default to -cpu cortex-a53 for aarch64 on non-aarch64 host
      since that CPU seems to work well
    Thanks to Christian Kastner, Peter Maydell and Steve McIntyre.

  [ Simon McVittie, Thierry Fauck, Ryutaroh Matsumoto ]
  * qemu: ppc64el support (Closes: #926945)
    - Install grub-ieee1275 by default
    - Avoid trying to allocate hvc0 as a virtio console.
      The default serial port of a pSeries machine appears as /dev/hvc0,
      and the virtio consoles start from hvc1.
    Thanks to Christian Kastner

  [ Christian Kastner ]
  * qemu: Use -machine q35 on i386 or amd64 when booting with EFI.
    Empirically, it seems to be the minimum required for EFI-booting on
    i386; bump the machine on amd64 too, for consistency.

  [ Julian Andres Klode ]
  * setup-testbed: Remove needrestart so its dpkg hook does not interfere
    with the apt test suite
  * setup-testbed: Set Acquire::Retries 10, like debci does
  * setup-testbed: Always include phased updates

 -- Paul Gevers <elbrus@debian.org>  Mon, 04 Oct 2021 21:04:48 +0200
