## autopkgtest 5.20

=== Makefile ===
--- 
+++ 
@@ -53,6 +53,7 @@
 pythonfiles =	lib/VirtSubproc.py \
 		lib/adtlog.py \
 		lib/autopkgtest_args.py \
+		lib/autopkgtest_qemu.py \
 		lib/adt_testbed.py \
 		lib/adt_binaries.py \
 		lib/testdesc.py \
