=== debian/changelog ===
autopkgtest (5.20) unstable; urgency=medium

  * Determine build-needed by parsing the control (Closes: #1002477)
  * Implement support for @recommends@ in test dependencies (Closes: #896698)
  * Update documentation
  * Convert `needs-recommends` to @recommends@ and drop all other code
    related to it

 -- Paul Gevers <elbrus@debian.org>  Thu, 24 Feb 2022 20:29:51 +0100

autopkgtest (5.19) unstable; urgency=medium

  [ Simon Chopin ]
  * buildvm-ubuntu-cloud: add a --ram-size option
  * buildvm-ubuntu-cloud: add support for non-x86 architectures

  [ Paul Gevers ]
  * autopkgtest-virt-lxc: cleanup if lxc-start fails after lxc-copy

  [ Athos Ribeiro ]
  * Force xz compression for satdep.deb

  [ Sergio Durigan Junior ]
  * Make sure we add a newline to the end of /etc/environment

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 07 Dec 2021 09:28:26 -0300
