=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: autopkgtest
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>,
            Martin Pitt <mpitt@debian.org>,
            Antonio Terceiro <terceiro@debian.org>,
@@ -29,15 +28,17 @@
          python3-debian,
          ${misc:Depends}
 Recommends: autodep8
-Suggests: lxc,
+Suggests: fakemachine,
+          lxc,
           lxd,
           ovmf,
+          ovmf-ia32,
           qemu-efi-aarch64,
           qemu-efi-arm,
           qemu-system,
           qemu-utils,
           schroot,
-          vmdb2
+          vmdb2 (>= 0.22-1~)
 Breaks: debci (<< 1.7~)
 Description: automatic as-installed testing for Debian packages
  autopkgtest runs tests on binary packages.  The tests are run on the
