=== debian/tests/control ===
--- 
+++ 
@@ -17,4 +17,4 @@
          fakeroot,
          iptables,
          lxd
-Restrictions: isolation-machine, needs-root, allow-stderr, skip-not-installable
+Restrictions: isolation-machine, needs-root, allow-stderr, skip-not-installable,  skippable
