=== tests/testpkg-simple/debian/tests/control ===
Tests: p
Depends:
Restrictions:
