## autopkgtest 5.25ubuntu1

=== Makefile ===
--- 
+++ 
@@ -35,15 +35,18 @@
 INSTALL_DATA =	$(INSTALL) -m 0644
 
 virts =		chroot \
+		docker \
 		lxc \
 		lxd \
 		null \
 		qemu \
 		schroot \
 		ssh \
+		unshare \
 		$(NULL)
 
 programs =	tools/autopkgtest-buildvm-ubuntu-cloud \
+		tools/autopkgtest-build-docker \
 		tools/autopkgtest-build-lxc \
 		tools/autopkgtest-build-lxd \
 		tools/autopkgtest-build-qemu \
@@ -80,9 +83,15 @@
 	$(INSTALL_DATA) $(pythonfiles) $(pythondir)
 	$(INSTALL_DATA) CREDITS $(docdir)
 	$(INSTALL_DATA) $(rstfiles) $(htmlfiles) $(docdir)
+	$(INSTALL_PROG) lib/await-boot $(datadir)/lib/
+	$(INSTALL_PROG) lib/unshare-helper $(datadir)/lib/
 	$(INSTALL_PROG) setup-commands/*[!~] $(datadir)/setup-commands
 	$(INSTALL_PROG) ssh-setup/[a-z]*[!~] $(datadir)/ssh-setup
 	$(INSTALL_DATA) ssh-setup/SKELETON $(datadir)/ssh-setup
+	ln -fns autopkgtest-virt-docker $(bindir)/autopkgtest-virt-podman
+	ln -fns autopkgtest-virt-docker.1 $(man1dir)/autopkgtest-virt-podman.1
+	ln -fns autopkgtest-build-docker $(bindir)/autopkgtest-build-podman
+	ln -fns autopkgtest-build-docker.1 $(man1dir)/autopkgtest-build-podman.1
 
 clean:
 	rm -f */*.pyc
