=== debian/changelog ===
autopkgtest (5.25ubuntu1) kinetic; urgency=medium

  * qemu: fix the ppc64le arch name in kvm_compatible().
    Upstream cherry-pick (93fd5ea9). (LP: #1988527)

 -- Paride Legovini <paride@ubuntu.com>  Wed, 07 Sep 2022 17:28:05 +0200

autopkgtest (5.25) unstable; urgency=medium

  [ Antonio Terceiro ]
  * tests/autopkgtest: Fix test failure if the user has per-user
    containers in ~/.local/share for both lxc and the podman ecosystem

  [ Simon McVittie ]
  * Improve reliability of waiting for lxc, lxd, podman containers to
    boot an init system (Closes: #1017753)
  * On non-amd64 architectures, skip a test that assumes i386 can be a
    foreign architecture
  * Clarify documentation for Restrictions:
    - isolation-container implies a service manager (init system) such as
      systemd or sysv-rc
    - isolation-container does not guarantee logind
    - isolation-machine provides the same things as isolation-container
    - needs-root is at least root in a container, but not always global root
    Thanks: Paride Legovini

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Aug 2022 09:49:01 +0100

autopkgtest (5.24) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Install unshare-helper, fixing virt-unshare regression in 5.23

  [ Antonio Terceiro ]
  * virt-lxc: fix handling of --sudo when waiting for testbed to boot
    (Closes: #1017017)

  [ David Kalnischkies ]
  * virt-unshare: Create mount point for --bind if necessary

  [ Simon McVittie ]
  * testdesc: Represent restrictions and features as sets
  * testdesc: Check restrictions vs. capabilities in a data-driven way
  * build-docker(1): Fix an invalid groff macro (thanks, Lintian)
  * ssh-setup/maas: Silence a Lintian false positive
  * Test coverage for regressions in 5.23:
    - Test virt-unshare as an autopkgtest to exercise "as-installed" use
    - Test virt-lxc as an ordinary user, to detect regressions like #1017017
    - Test virt-unshare --bind
  * Test reliability:
    - Use testing in preference to unstable to avoid transient failures
      during transitions
  * Packaging updates:
    - Update syntax of Lintian overrides
    - Add myself to Uploaders
    - Standards-Version: 4.6.1 (no changes required)
    - d/tests: Correct SPDX license name

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Aug 2022 09:39:40 +0100

autopkgtest (5.23) unstable; urgency=medium

  [ Iñaki Malerba, Chris Kuehl, Felipe Sateler, Simon McVittie ]
  * Add support for docker.io virtualization (Closes: #747909)

  [ Simon McVittie ]
  * virt-docker, build-docker: Allow running as virt-podman, build-podman
  * virt-podman, build-podman: Add --init option.
    Docker is designed to be used for "app containers", which are like a
    better-isolated chroot. Podman can be used like this, but can also be
    used to run traditional full-system containers in the same way as lxc
    and lxd, and in particular it has special support for running systemd
    as the container's init system.
    When we're running a service manager like systemd, sysv-rc or openrc,
    we can provide the isolation-container capability.
  * autopkgtest: Make --test-name repeatable (Closes: #1015921)
  * build-podman, build-qemu: Optionally swap or force the init system:
    systemd (+ logind), sysv-rc (+ elogind) or openrc (+ elogind).
    For qemu, the default is what debootstrap provides, usually systemd.
    For podman, the default is no init system at all.
  * Automatically create an unprivileged user to run tests if the testbed
    is expendable.
    This avoids needing to create an unprivileged user when building
    container and VM images, which build-lxc and build-podman don't do.
    (Closes: #1011202)
  * Load setup commands from the source tree if running uninstalled
  * Don't recurse or crash if auxverb_debug_fail fails
  * virt-lxc, virt-lxd: Factor out code to wait for container to boot.
    virt-lxc, virt-lxd and podman --init all want to do the same thing.
  * virt-unshare: Factor out unshare-helper into a shell script
  * Improve setup-testbed script:
    - Stop installing gpg.
      We've been installing this since 2018, but it seems we haven't needed
      it since we switched from apt-key to [trusted=yes] in 2015.
    - Only install dbus, rng-tools if we have an init system
    - Only install libpam-systemd if systemd is installed
    - Only set up ifupdown if it's installed
    - If we overwrite sources.list, also empty sources.list.d
    - Don't crash if unable to read /etc/apt/sources.list
    - Have a separate proxy setting for setup-testbed itself
    - Don't use /usr/share/doc to check package status
    - Silence a new shellcheck warning
  * Add a test that asserts tests can access pseudo-terminals
  * Run more tests on Gitlab-CI and from autopkgtest:
    - autopkgtest-virt-docker (can run via docker:dind or in qemu)
    - autopkgtest-virt-lxc (can run under privileged Docker or qemu)
    - autopkgtest-virt-podman (can run under privileged Docker or in qemu)
    - autopkgtest-virt-podman --init (can run in qemu)
    - autopkgtest-virt-schroot (can run under privileged Docker, lxc or qemu)
  * Test fixes, particularly for running tests that require privileges:
    - Fix ChrootRunner failure with glibc 2.34
    - Make dependencies more complete
    - Skip test_apt_autodep8_with_control if autodep8 not installed
    - Speed up test_git_source_build
    - Update for perl autodep8 behaviour changes in bullseye
    - Test the installed autopkgtest runner so autopkgtest doesn't break
      its own specification
    - Don't run lint-style tests as an autopkgtest, notably pyflakes
    - Accept more variations of apt output
    - Fix build of mock test package if a second binary is added
    - Cope with schroot not always having AUTOPKGTEST_NORMAL_USER
    - Make test failures easier to debug
    - Tolerate output before first explicit setup command
    - Cope with XDG basedirs environment variables being set

