=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: autopkgtest
-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>,
            Martin Pitt <mpitt@debian.org>,
            Antonio Terceiro <terceiro@debian.org>,
-           Paul Gevers <elbrus@debian.org>
+           Paul Gevers <elbrus@debian.org>,
+           Simon McVittie <smcv@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
+               fakeroot,
                procps,
                pycodestyle | pep8,
                pyflakes3,
@@ -27,17 +30,22 @@
          python3,
          python3-debian,
          ${misc:Depends}
-Recommends: autodep8
-Suggests: fakemachine,
-          lxc,
+Recommends: autodep8,
+            fakeroot,
+Suggests: docker.io,
+          fakemachine,
+          lxc (>= 1:4.0.2-1~),
           lxd,
           ovmf,
           ovmf-ia32,
+          python3-distro-info,
           qemu-efi-aarch64,
           qemu-efi-arm,
           qemu-system,
           qemu-utils,
+          podman,
           schroot,
+          util-linux (>= 2.38),
           vmdb2 (>= 0.22-1~)
 Breaks: debci (<< 1.7~)
 Description: automatic as-installed testing for Debian packages
