## autopkgtest 5.26

=== debian/changelog ===
autopkgtest (5.26) unstable; urgency=medium

  [ Simon McVittie ]
  * Add a needs-sudo restriction.
    This can be used by packages like gvfs to run tests that need to be run
    as an ordinary user, but also require the ability to elevate privileges
    to do setup and/or teardown steps. (Closes: #906424)
  * Fix a long-standing race condition in test stdout/stderr reporting,
    which particularly affects the unshare backend (Closes: #1017974)
  * await-boot: Fix a regression in 5.25 which affected tests that
    reboot into a sysvinit environment, such as munin
  * Start factoring out shell code that runs in the testbed into scripts
    lib/in-testbed/*.sh, so that we can include comments, run lint checks
    and other useful QA things
  * testbed: Make reboot-request detection clearer by not relying on
    compensating errors
  * testbed, runner: Remove leftover bits of support for install-tmp mode,
    which was removed in 5.12
  * d/README.source: Document how to run snap lxd via sudo
  * doc: Sort restrictions and capabilities in alphabetical order
  * runner: Fix a pycodestyle warning
  * d/tests/lxd: Update to work with the version in Debian unstable
    - Add more test-dependencies
    - Modernize use of `lxd init`
    - Run as a user in the appropriate group
    - Use Debian testing instead of EOL Ubuntu 16.04 (Closes: #1016912)
  * d/tests/schroot: Ensure hostname resolves promptly
  * tests: Improve debug output for tests that reboot
  * tests: Avoid polluting stderr with diagnostic output
  * tests: Treat AUTOPKGTEST_TEST_INSTALLED= as uninstalled
  * tests: Make a test cope with custom arguments to virt backend
  * tests: Don't assert that there is no debug output from virt backend
  * tests: Get more debug info from SchrootRunner.test_foreign_arch_deps
  * tests: Get more debug info from DebTestsVirtContainer.test_timeout
  * tests: Get extra debug information from test_copy_timeout
  * tests: Skip test_timeout on lxd backend.
    This currently fails, which seems to be reliable, lxd-specific, and
    not a recent regression in autopkgtest. (Mitigates: #1020634)

  [ Paul Gevers ]
  * testbed: Fix creation of apt preferences for suites with a dot in
    the name

  [ Paride Legovini ]
  * qemu: Detect ppc64le host as able to run ppc64le qemu with KVM
    enabled (Closes: #1019189, LP: #1988527)

 -- Simon McVittie <smcv@debian.org>  Sun, 25 Sep 2022 10:35:21 +0100
