=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: autopkgtest
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>,
            Martin Pitt <mpitt@debian.org>,
            Antonio Terceiro <terceiro@debian.org>,
