## autopkgtest 5.27

=== debian/changelog ===
autopkgtest (5.27) unstable; urgency=medium

  [ Julian Gilbey ]
  * Add timezone to initial informative line

  [ Johannes Schauer Marin Rodrigues ]
  * setup-commands/setup-testbed: support running in d-i

  [ Simon McVittie ]
  * setup-testbed: Remove /usr/sbin/policy-rc.d when setting up init
  * setup-testbed: Install procps along with sysv-rc or openrc

  [ Emanuele Rocca ]
  * qemu-system-aarch64: use read-only=on
  * Add zerofree to Suggests, needed by autopkgtest-build-qemu

  [ Paul Gevers ]
  * Improve Architecture field documentation
  * Retry lxc-copy and lxc-start if they fail
  * adt_testbed: fix logical error

 -- Paul Gevers <elbrus@debian.org>  Wed, 26 Oct 2022 22:11:34 +0200
